Index: /branches/NERC/dev_r5549_BDY_ZEROGRAD/NEMOGCM/EXTERNAL/AGRIF/LIB/toamr.c
===================================================================
--- /branches/NERC/dev_r5549_BDY_ZEROGRAD/NEMOGCM/EXTERNAL/AGRIF/LIB/toamr.c	(revision 6807)
+++ /branches/NERC/dev_r5549_BDY_ZEROGRAD/NEMOGCM/EXTERNAL/AGRIF/LIB/toamr.c	(revision 6808)
@@ -1082,33 +870,30 @@
 /*                                                                            */
 /******************************************************************************/
-void creefichieramr (char *NameTampon)
-{
-  listvar *newvar;
-  variable *v;
-  int erreur;
-  char filefich[LONG_C];
-  char ligne[LONG_C];
-  int IndiceMax;
-  int IndiceMin;
-  int InitEmpty;
-  int VarnameEmpty;
-  int donotwrite;
-
-  FILE *initproc;
-  FILE *initglobal;
-  FILE *createvarname;
-  FILE *createvarnameglobal;
-
-  if ( todebug == 1 ) printf("Enter in creefichieramr\n");
-  strcpy (filefich, "cd ");
-  strcat (filefich, nomdir);
-  erreur = system (filefich);
-  if (erreur)
-  {
-     strcpy (filefich, "mkdir ");
-     strcat (filefich, nomdir);
-     system (filefich);
-     printf ("%s: Directory created\n", nomdir);
-  }
+void creefichieramr ()
+{
+    listvar *newvar;
+    variable *v;
+    int erreur;
+    char filefich[LONG_M];
+
+    int InitEmpty;
+    int VarnameEmpty;
+    int donotwrite;
+
+    FILE *initproc;
+    FILE *initglobal;
+    FILE *createvarname;
+    FILE *createvarnameglobal;
+
+    if ( todebug == 1 ) printf("Enter in creefichieramr\n");
+
+    sprintf(filefich, "cd %s", include_dir);
+    erreur = system (filefich);
+    if (erreur)
+    {
+        sprintf(filefich, "mkdir -p %s", include_dir);
+        system(filefich);
+        printf("%s: Directory created\n", include_dir);
+    }
 
 /******************************************************************************/
@@ -1116,89 +901,62 @@
 /******************************************************************************/
 
-/*----------------------------------------------------------------------------*/
-  if ( todebug == 1 )
-  {
-     strcpy(ligne,"initialisations_agrif_");
-     strcat(ligne,NameTampon);
-     strcat(ligne,".h");
-     initproc = associate (ligne);
-/*----------------------------------------------------------------------------*/
-     strcpy(ligne,"createvarname_agrif_");
-     strcat(ligne,NameTampon);
-     strcat(ligne,".h");
-     createvarname = associate (ligne);
-/*----------------------------------------------------------------------------*/
-     InitEmpty = 1 ;
-     VarnameEmpty = 1 ;
-
-     newvar = List_Global_Var;
-     while ( newvar && todebug == 1 )
-     {
-        donotwrite = 0;
-        v = newvar->var;
-
-        if ( ( v->v_common == 1 || v->v_module == 1 ) && donotwrite == 0 )
-        {
-          write_createvarnameagrif_file(v,createvarname,&VarnameEmpty);
-          write_initialisationsagrif_file(v,initproc,&InitEmpty);
-        }
-        newvar = newvar->suiv;
-     }
-  /*                                                                          */
-     fclose (createvarname);
-     fclose (initproc);
-  /*--------------------------------------------------------------------------*/
-     if ( Did_filetoparse_readed(curmodulename) == 0 )
-     {
-        if ( InitEmpty != 1  )
-        {
-           initglobal = associateaplus("initialisations_agrif.h");
-           strcpy(ligne,"#include \"initialisations_agrif_");
-           strcat(ligne,NameTampon);
-           strcat(ligne,".h\"\n");
-           fprintf(initglobal,ligne);
-           fclose(initglobal);
-        }
-  /*--------------------------------------------------------------------------*/
-        if ( VarnameEmpty != 1 )
-        {
-           createvarnameglobal= associateaplus("createvarname_agrif.h");
-           strcpy(ligne,"#include \"createvarname_agrif_");
-           strcat(ligne,NameTampon);
-           strcat(ligne,".h\"\n");
-           fprintf(createvarnameglobal,ligne);
-           fclose(createvarnameglobal);
-        }
-     }
-  }
-/*----------------------------------------------------------------------------*/
-/*----------------------------------------------------------------------------*/
-/*----------------------------------------------------------------------------*/
-/*----------------------------------------------------------------------------*/
-/*----------------------------------------------------------------------------*/
-  IndiceMax = 0;
-  IndiceMin = 0;
-
-  write_allocation_Common_0();
-  write_allocation_Global_0();
-
-  Write_Alloc_Agrif_Files();
-  write_probdimagrif_file();
-  write_keysagrif_file();
-  write_modtypeagrif_file();
-  if ( NbMailleXDefined == 1 )
-                             write_Setnumberofcells_file("SetNumberofcells.h");
-  if ( NbMailleXDefined == 1 )
-                             write_Getnumberofcells_file("GetNumberofcells.h");
-  retour77 = 0;
-  if ( NbMailleXDefined == 1 )
-                          write_Setnumberofcells_file("SetNumberofcellsFree.h");
-  if ( NbMailleXDefined == 1 )
-                          write_Getnumberofcells_file("GetNumberofcellsFree.h");
-  retour77 = 1;
-  if ( NbMailleXDefined == 1 )
-                         write_Setnumberofcells_file("SetNumberofcellsFixed.h");
-  if ( NbMailleXDefined == 1 )
-                         write_Getnumberofcells_file("GetNumberofcellsFixed.h");
-  if ( todebug == 1 ) printf("Out of creefichieramr\n");
-}
+    if ( todebug == 1 )
+    {
+        const char *NameTampon = "toto";
+        sprintf(filefich,"initialisations_agrif_%s.h", NameTampon);
+        initproc = open_for_write(filefich);
+
+        sprintf(filefich,"createvarname_agrif_%s.h", NameTampon);
+        createvarname = open_for_write(filefich);
+
+        InitEmpty = 1 ;
+        VarnameEmpty = 1 ;
+
+        newvar = List_Global_Var;
+        while ( newvar )
+        {
+            donotwrite = 0;
+            v = newvar->var;
+
+            if ( ( v->v_common == 1 || v->v_module == 1 ) && donotwrite == 0 )
+            {
+                write_createvarnameagrif_file(v,createvarname,&VarnameEmpty);
+                write_initialisationsagrif_file(v,initproc,&InitEmpty);
+            }
+            newvar = newvar->suiv;
+        }
+        fclose (createvarname);
+        fclose (initproc);
+
+        if ( is_dependfile_created(curmodulename) == 0 )
+        {
+            if ( InitEmpty != 1  )
+            {
+                initglobal = open_for_append("initialisations_agrif.h");
+                fprintf(initglobal,"#include \"initialisations_agrif_%s.h\"\n", NameTampon);
+                fclose(initglobal);
+            }
+            if ( VarnameEmpty != 1 )
+            {
+                createvarnameglobal= open_for_append("createvarname_agrif.h");
+                fprintf(createvarnameglobal,"#include \"createvarname_agrif_%s.h\"\n", NameTampon);
+                fclose(createvarnameglobal);
+            }
+        }
+    }
+    write_allocation_Common_0();
+    write_allocation_Global_0();
+
+    Write_Alloc_Agrif_Files();
+    write_probdimagrif_file();
+    write_keysagrif_file();
+    write_modtypeagrif_file();
+
+    if ( NbMailleXDefined == 1 )
+    {
+        write_Setnumberofcells_file();
+        write_Getnumberofcells_file();
+    }
+
+    if ( todebug == 1 ) printf("Out of creefichieramr\n");
+}
Index: /branches/NERC/dev_r5549_BDY_ZEROGRAD/NEMOGCM/NEMO/LIM_SRC_2/iceini_2.F90
===================================================================
--- /branches/NERC/dev_r5549_BDY_ZEROGRAD/NEMOGCM/NEMO/LIM_SRC_2/iceini_2.F90	(revision 6807)
+++ /branches/NERC/dev_r5549_BDY_ZEROGRAD/NEMOGCM/NEMO/LIM_SRC_2/iceini_2.F90	(revision 6808)
@@ -83,5 +83,5 @@
       CALL ice_run_2                   ! read in namelist some run parameters
       !          
-      rdt_ice = nn_fsbc * rdttra(1)    ! sea-ice time step
+      rdt_ice = nn_fsbc * rdt           ! sea-ice time step
       numit   = nit000 - 1
       !
Index: /branches/NERC/dev_r5549_BDY_ZEROGRAD/NEMOGCM/NEMO/LIM_SRC_2/limdmp_2.F90
===================================================================
--- /branches/NERC/dev_r5549_BDY_ZEROGRAD/NEMOGCM/NEMO/LIM_SRC_2/limdmp_2.F90	(revision 6807)
+++ /branches/NERC/dev_r5549_BDY_ZEROGRAD/NEMOGCM/NEMO/LIM_SRC_2/limdmp_2.F90	(revision 6808)
@@ -71,8 +71,6 @@
          CALL fld_read( kt, nn_fsbc, sf_icedmp )
          !
-!CDIR COLLAPSE
          hicif(:,:) = MAX( 0._wp,                     &        ! h >= 0         avoid spurious out of physical range
             &         hicif(:,:) - rdt_ice * resto_ice(:,:,1) * ( hicif(:,:) - sf_icedmp(jp_hicif)%fnow(:,:,1) )  ) 
-!CDIR COLLAPSE
          frld (:,:) = MAX( 0._wp, MIN( 1._wp,         &        ! 0<= frld<=1    values which blow the run up
             &         frld (:,:) - rdt_ice * resto_ice(:,:,1) * ( frld (:,:) - sf_icedmp(jp_frld )%fnow(:,:,1) )  )  )
Index: /branches/NERC/dev_r5549_BDY_ZEROGRAD/NEMOGCM/NEMO/LIM_SRC_2/limrhg_2.F90
===================================================================
--- /branches/NERC/dev_r5549_BDY_ZEROGRAD/NEMOGCM/NEMO/LIM_SRC_2/limrhg_2.F90	(revision 6807)
+++ /branches/NERC/dev_r5549_BDY_ZEROGRAD/NEMOGCM/NEMO/LIM_SRC_2/limrhg_2.F90	(revision 6808)
@@ -160,7 +160,5 @@
       !-------------------------------------------------------------------
 
-!CDIR NOVERRCHK
       DO jj = k_j1 , k_jpj-1
-!CDIR NOVERRCHK
          DO ji = 1 , jpi
             ! only the sinus changes its sign with the hemisphere
@@ -245,7 +243,5 @@
          ! Computation of free drift field for free slip boundary conditions.
 
-!CDIR NOVERRCHK
          DO jj = k_j1, k_jpj-1
-!CDIR NOVERRCHK
             DO ji = 1, fs_jpim1
                !- Rate of strain tensor.
@@ -401,7 +397,5 @@
 iflag:   DO jter = 1 , nbitdr                                   !    Relaxation    !
             !                                                   ! ================ !
-!CDIR NOVERRCHK
             DO jj = k_j1+1, k_jpj-1
-!CDIR NOVERRCHK
                DO ji = 2, fs_jpim1   ! NO vector opt.
                   !
Index: /branches/NERC/dev_r5549_BDY_ZEROGRAD/NEMOGCM/NEMO/LIM_SRC_2/limrst_2.F90
===================================================================
--- /branches/NERC/dev_r5549_BDY_ZEROGRAD/NEMOGCM/NEMO/LIM_SRC_2/limrst_2.F90	(revision 6807)
+++ /branches/NERC/dev_r5549_BDY_ZEROGRAD/NEMOGCM/NEMO/LIM_SRC_2/limrst_2.F90	(revision 6808)
@@ -71,6 +71,4 @@
                WRITE(numout,*)
                SELECT CASE ( jprstlib )
-               CASE ( jprstdimg )
-                  WRITE(numout,*) '             open ice restart binary file: ',TRIM(clpath)//clname
                CASE DEFAULT
                   WRITE(numout,*) '             open ice restart NetCDF file: ',TRIM(clpath)//clname
@@ -192,11 +190,4 @@
       ENDIF
 
-      IF ( jprstlib == jprstdimg ) THEN
-        ! eventually read netcdf file (monobloc)  for restarting on different number of processors
-        ! if {cn_icerst_in}.nc exists, then set jlibalt to jpnf90
-        INQUIRE( FILE = TRIM(cn_icerst_indir)//'/'//TRIM(cn_icerst_in)//'.nc', EXIST = llok )
-        IF ( llok ) THEN ; jlibalt = jpnf90  ; ELSE ; jlibalt = jprstlib ; ENDIF
-      ENDIF
-
       CALL iom_open ( TRIM(cn_icerst_indir)//'/'//TRIM(cn_icerst_in), numrir, kiolib = jlibalt )
 
Index: /branches/NERC/dev_r5549_BDY_ZEROGRAD/NEMOGCM/NEMO/LIM_SRC_2/limsbc_2.F90
===================================================================
--- /branches/NERC/dev_r5549_BDY_ZEROGRAD/NEMOGCM/NEMO/LIM_SRC_2/limsbc_2.F90	(revision 6807)
+++ /branches/NERC/dev_r5549_BDY_ZEROGRAD/NEMOGCM/NEMO/LIM_SRC_2/limsbc_2.F90	(revision 6808)
@@ -29,7 +29,8 @@
    USE sbc_ice          ! surface boundary condition: ice
    USE sbc_oce          ! surface boundary condition: ocean
-   USE sbccpl
+   USE sbccpl           ! surface boundary condition: coupled interface
    USE oce       , ONLY : sshn, sshb, snwice_mass, snwice_mass_b, snwice_fmass 
    USE albedo           ! albedo parameters
+   !
    USE lbclnk           ! ocean lateral boundary condition - MPP exchanges
    USE lib_mpp          ! MPP library
@@ -43,7 +44,7 @@
    PRIVATE
 
-   PUBLIC   lim_sbc_init_2     ! called by ice_init_2
-   PUBLIC   lim_sbc_flx_2      ! called by sbc_ice_lim_2
-   PUBLIC   lim_sbc_tau_2      ! called by sbc_ice_lim_2
+   PUBLIC   lim_sbc_init_2   ! called by ice_init_2
+   PUBLIC   lim_sbc_flx_2    ! called by sbc_ice_lim_2
+   PUBLIC   lim_sbc_tau_2    ! called by sbc_ice_lim_2
 
    REAL(wp)  ::   r1_rdtice            ! = 1. / rdt_ice 
@@ -52,5 +53,5 @@
    REAL(wp)  ::   rone   = 1._wp       !     -      -
    !
-   REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:) ::   soce_0, sice_0   ! constant SSS and ice salinity used in levitating sea-ice case
+   REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:) ::   soce_0, sice_0       ! fix SSS and ice salinity used in levitating case 0
    REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:) ::   utau_oce, vtau_oce   ! air-ocean surface i- & j-stress              [N/m2]
    REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:) ::   tmod_io              ! modulus of the ice-ocean relative velocity   [m/s]
@@ -58,5 +59,4 @@
    !! * Substitutions
 #  include "vectopt_loop_substitute.h90"
-#  include "domzgr_substitute.h90"
    !!----------------------------------------------------------------------
    !! NEMO/LIM2 4.0 , UCL - NEMO Consortium (2011)
@@ -102,5 +102,5 @@
       !!---------------------------------------------------------------------
       INTEGER, INTENT(in) ::   kt    ! number of iteration
-      !!
+      !
       INTEGER  ::   ji, jj   ! dummy loop indices
       INTEGER  ::   ii0, ii1, ij0, ij1         ! local integers
@@ -114,13 +114,13 @@
       REAL(wp), POINTER, DIMENSION(:,:,:) ::   zalb, zalbp   ! 2D/3D workspace
       !!---------------------------------------------------------------------
-     
+      !
       CALL wrk_alloc( jpi, jpj, zqnsoce )
       CALL wrk_alloc( jpi, jpj, 1, zalb, zalbp )
-
-      SELECT CASE( nn_ice_embd )                 ! levitating or embedded sea-ice option
-        CASE( 0    )   ;   zswitch = 1           ! (0) standard levitating sea-ice : salt exchange only
-        CASE( 1, 2 )   ;   zswitch = 0           ! (1) levitating sea-ice: salt and volume exchange but no pressure effect
-                                                 ! (2) embedded sea-ice : salt and volume fluxes and pressure
-      END SELECT                                 !    
+      !
+      SELECT CASE( nn_ice_embd )             ! levitating or embedded sea-ice option
+         CASE( 0    )   ;   zswitch = 1         ! (0) old levitating sea-ice : salt exchange only
+         CASE( 1, 2 )   ;   zswitch = 0         ! (1) levitating sea-ice: salt and volume exchange but no pressure effect
+         !                                      ! (2) embedded sea-ice : salt and volume fluxes and pressure
+      END SELECT
 
       !------------------------------------------!
@@ -303,5 +303,5 @@
       INTEGER ,                     INTENT(in) ::   kt               ! ocean time-step index
       REAL(wp), DIMENSION(jpi,jpj), INTENT(in) ::   pu_oce, pv_oce   ! surface ocean currents
-      !!
+      !
       INTEGER  ::   ji, jj   ! dummy loop indices
       REAL(wp) ::   zfrldu, zat_u, zu_i, zutau_ice, zu_t, zmodt   ! local scalar
@@ -319,7 +319,6 @@
          !
          IF( MOD( kt-1, nn_fsbc ) == 0 ) THEN     !==  Ice time-step only  ==! (i.e. surface module time-step)
-!CDIR NOVERRCHK
+            !
             DO jj = 1, jpj                               !* modulus of ice-ocean relative velocity at I-point
-!CDIR NOVERRCHK
                DO ji = 1, jpi
                   zu_i  = u_ice(ji,jj) - u_oce(ji,jj)                   ! ice-ocean relative velocity at I-point
@@ -328,7 +327,5 @@
                END DO
             END DO
-!CDIR NOVERRCHK
             DO jj = 1, jpjm1                             !* update the modulus of stress at ocean surface (T-point)
-!CDIR NOVERRCHK
                DO ji = 1, jpim1   ! NO vector opt.
                   !                                               ! modulus of U_ice-U_oce at T-point
@@ -383,7 +380,6 @@
          !
          IF( MOD( kt-1, nn_fsbc ) == 0 ) THEN     !==  Ice time-step only  ==! (i.e. surface module time-step)
-!CDIR NOVERRCHK
+            !
             DO jj = 2, jpjm1                          !* modulus of the ice-ocean velocity at T-point
-!CDIR NOVERRCHK
                DO ji = fs_2, fs_jpim1
                   zu_t  = u_ice(ji,jj) + u_ice(ji-1,jj) - u_oce(ji,jj) - u_oce(ji-1,jj)   ! 2*(U_ice-U_oce) at T-point
@@ -439,6 +435,6 @@
       !! ** input   : Namelist namicedia
       !!-------------------------------------------------------------------
-      !
-      INTEGER :: jk           ! local integer
+      INTEGER ::   jk   ! local integer
+      !!-------------------------------------------------------------------
       !
       IF(lwp) WRITE(numout,*)
@@ -474,35 +470,37 @@
          sshn(:,:) = sshn(:,:) - snwice_mass(:,:) * r1_rau0
          sshb(:,:) = sshb(:,:) - snwice_mass(:,:) * r1_rau0
-         do jk = 1,jpkm1                     ! adjust initial vertical scale factors
-          fse3t_n(:,:,jk) = e3t_0(:,:,jk)*( 1._wp + sshn(:,:)*tmask(:,:,1)/(ht_0(:,:) + 1.0 - tmask(:,:,1)) )
-          fse3t_b(:,:,jk) = e3t_0(:,:,jk)*( 1._wp + sshb(:,:)*tmask(:,:,1)/(ht_0(:,:) + 1.0 - tmask(:,:,1)) )
-         end do
-         fse3t_a(:,:,:) = fse3t_b(:,:,:)
-         ! Reconstruction of all vertical scale factors at now and before time steps
-         ! =============================================================================
-         ! Horizontal scale factor interpolations
-         ! --------------------------------------
-         CALL dom_vvl_interpol( fse3t_b(:,:,:), fse3u_b(:,:,:), 'U' )
-         CALL dom_vvl_interpol( fse3t_b(:,:,:), fse3v_b(:,:,:), 'V' )
-         CALL dom_vvl_interpol( fse3t_n(:,:,:), fse3u_n(:,:,:), 'U' )
-         CALL dom_vvl_interpol( fse3t_n(:,:,:), fse3v_n(:,:,:), 'V' )
-         CALL dom_vvl_interpol( fse3u_n(:,:,:), fse3f_n(:,:,:), 'F' )
-         ! Vertical scale factor interpolations
-         ! ------------------------------------
-         CALL dom_vvl_interpol( fse3t_n(:,:,:), fse3w_n (:,:,:), 'W'  )
-         CALL dom_vvl_interpol( fse3u_n(:,:,:), fse3uw_n(:,:,:), 'UW' )
-         CALL dom_vvl_interpol( fse3v_n(:,:,:), fse3vw_n(:,:,:), 'VW' )
-         CALL dom_vvl_interpol( fse3u_b(:,:,:), fse3uw_b(:,:,:), 'UW' )
-         CALL dom_vvl_interpol( fse3v_b(:,:,:), fse3vw_b(:,:,:), 'VW' )
-         ! t- and w- points depth
-         ! ----------------------
-         fsdept_n(:,:,1) = 0.5_wp * fse3w_n(:,:,1)
-         fsdepw_n(:,:,1) = 0.0_wp
-         fsde3w_n(:,:,1) = fsdept_n(:,:,1) - sshn(:,:)
-         DO jk = 2, jpk
-            fsdept_n(:,:,jk) = fsdept_n(:,:,jk-1) + fse3w_n(:,:,jk)
-            fsdepw_n(:,:,jk) = fsdepw_n(:,:,jk-1) + fse3t_n(:,:,jk-1)
-            fsde3w_n(:,:,jk) = fsdept_n(:,:,jk  ) - sshn   (:,:)
-         END DO
+!!gm I really don't like this staff here...  Find a way to put that elsewhere or differently
+!!gm
+         IF( .NOT.ln_linssh ) THEN
+
+            do jk = 1,jpkm1                     ! adjust initial vertical scale factors
+               e3t_n(:,:,jk) = e3t_0(:,:,jk)*( 1._wp + sshn(:,:)*tmask(:,:,1)/(ht_0(:,:) + 1.0 - tmask(:,:,1)) )
+               e3t_b(:,:,jk) = e3t_0(:,:,jk)*( 1._wp + sshb(:,:)*tmask(:,:,1)/(ht_0(:,:) + 1.0 - tmask(:,:,1)) )
+            end do
+            e3t_a(:,:,:) = e3t_b(:,:,:)
+            ! Reconstruction of all vertical scale factors at now and before time steps
+            !        ! Horizontal scale factor interpolations
+            CALL dom_vvl_interpol( e3t_b(:,:,:), e3u_b(:,:,:), 'U' )
+            CALL dom_vvl_interpol( e3t_b(:,:,:), e3v_b(:,:,:), 'V' )
+            CALL dom_vvl_interpol( e3t_n(:,:,:), e3u_n(:,:,:), 'U' )
+            CALL dom_vvl_interpol( e3t_n(:,:,:), e3v_n(:,:,:), 'V' )
+            CALL dom_vvl_interpol( e3u_n(:,:,:), e3f_n(:,:,:), 'F' )
+            !        ! Vertical scale factor interpolations
+            CALL dom_vvl_interpol( e3t_n(:,:,:), e3w_n (:,:,:), 'W'  )
+            CALL dom_vvl_interpol( e3u_n(:,:,:), e3uw_n(:,:,:), 'UW' )
+            CALL dom_vvl_interpol( e3v_n(:,:,:), e3vw_n(:,:,:), 'VW' )
+            CALL dom_vvl_interpol( e3u_b(:,:,:), e3uw_b(:,:,:), 'UW' )
+            CALL dom_vvl_interpol( e3v_b(:,:,:), e3vw_b(:,:,:), 'VW' )
+            !        ! t- and w- points depth
+            gdept_n(:,:,1) = 0.5_wp * e3w_n(:,:,1)
+            gdepw_n(:,:,1) = 0.0_wp
+            gde3w_n(:,:,1) = gdept_n(:,:,1) - sshn(:,:)
+            DO jk = 2, jpk
+               gdept_n(:,:,jk) = gdept_n(:,:,jk-1) + e3w_n(:,:,jk)
+               gdepw_n(:,:,jk) = gdepw_n(:,:,jk-1) + e3t_n(:,:,jk-1)
+               gde3w_n(:,:,jk) = gdept_n(:,:,jk  ) - sshn   (:,:)
+            END DO
+         ENDIF
+!!gm end
       ENDIF
       !
Index: /branches/NERC/dev_r5549_BDY_ZEROGRAD/NEMOGCM/NEMO/LIM_SRC_2/limthd_2.F90
===================================================================
--- /branches/NERC/dev_r5549_BDY_ZEROGRAD/NEMOGCM/NEMO/LIM_SRC_2/limthd_2.F90	(revision 6807)
+++ /branches/NERC/dev_r5549_BDY_ZEROGRAD/NEMOGCM/NEMO/LIM_SRC_2/limthd_2.F90	(revision 6808)
@@ -18,18 +18,19 @@
    USE phycst           ! physical constants
    USE dom_oce          ! ocean space and time domain variables
-   USE domvvl
-   USE lbclnk
+   USE domvvl           ! ocean domain
+   USE ice_2            ! LIM sea-ice variables
+   USE sbc_oce          ! surface boundary condition: ocean
+   USE sbc_ice          ! surface boundary condition: sea-ice
+   USE thd_ice_2        ! LIM thermodynamic sea-ice variables
+   USE dom_ice_2        ! LIM sea-ice domain
+   USE limthd_zdf_2     !
+   USE limthd_lac_2     !
+   USE limtab_2         !
+   !
    USE in_out_manager   ! I/O manager
-   USE lib_mpp
+   USE lbclnk           !
+   USE lib_mpp          !
    USE wrk_nemo         ! work arrays
    USE iom              ! IOM library
-   USE ice_2            ! LIM sea-ice variables
-   USE sbc_oce          ! 
-   USE sbc_ice          ! 
-   USE thd_ice_2        ! LIM thermodynamic sea-ice variables
-   USE dom_ice_2        ! LIM sea-ice domain
-   USE limthd_zdf_2
-   USE limthd_lac_2
-   USE limtab_2
    USE prtctl           ! Print control
    USE lib_fortran      ! Fortran utilities (allows no signed zero when 'key_nosignedzero' defined)  
@@ -43,9 +44,8 @@
    REAL(wp) ::   epsi16 = 1.e-16   !
    REAL(wp) ::   epsi04 = 1.e-04   !
-   REAL(wp) ::   rzero  = 0.e0     !
-   REAL(wp) ::   rone   = 1.e0     !
+   REAL(wp) ::   rzero  = 0._wp    !
+   REAL(wp) ::   rone   = 1._wp    !
 
    !! * Substitutions
-#  include "domzgr_substitute.h90"
 #  include "vectopt_loop_substitute.h90"
    !!-------- -------------------------------------------------------------
@@ -75,5 +75,5 @@
       !!---------------------------------------------------------------------
       INTEGER, INTENT(in) ::   kt     ! number of iteration
-      !!
+      !
       INTEGER  ::   ji, jj               ! dummy loop indices
       INTEGER  ::   nbpb                 ! nb of icy pts for thermo. cal.
@@ -196,7 +196,5 @@
       !--------------------------------------------------------------------------
 
-      !CDIR NOVERRCHK
       DO jj = 1, jpj
-         !CDIR NOVERRCHK
          DO ji = 1, jpi
             zthsnice       = hsnif(ji,jj) + hicif(ji,jj)
@@ -235,5 +233,5 @@
             
             !  energy needed to bring ocean surface layer until its freezing
-            qcmif  (ji,jj) =  rau0 * rcp * fse3t_m(ji,jj) * ( tfu(ji,jj) - sst_m(ji,jj) - rt0 ) * ( 1 - zinda )
+            qcmif  (ji,jj) =  rau0 * rcp * e3t_m(ji,jj) * ( tfu(ji,jj) - sst_m(ji,jj) - rt0 ) * ( 1 - zinda )
             
             !  calculate oceanic heat flux.
Index: /branches/NERC/dev_r5549_BDY_ZEROGRAD/NEMOGCM/NEMO/LIM_SRC_2/limthd_lac_2.F90
===================================================================
--- /branches/NERC/dev_r5549_BDY_ZEROGRAD/NEMOGCM/NEMO/LIM_SRC_2/limthd_lac_2.F90	(revision 6807)
+++ /branches/NERC/dev_r5549_BDY_ZEROGRAD/NEMOGCM/NEMO/LIM_SRC_2/limthd_lac_2.F90	(revision 6808)
@@ -134,5 +134,4 @@
       !---------------------------------------------------------------------
       
-!CDIR NOVERRCHK
       DO ji = kideb , kiut
          iicefr       = 1 - MAX( 0, INT( SIGN( 1.5 * zone , zfrl_old(ji) - 1.0 + epsi13 ) ) )
Index: /branches/NERC/dev_r5549_BDY_ZEROGRAD/NEMOGCM/NEMO/LIM_SRC_2/limwri_2.F90
===================================================================
--- /branches/NERC/dev_r5549_BDY_ZEROGRAD/NEMOGCM/NEMO/LIM_SRC_2/limwri_2.F90	(revision 6807)
+++ /branches/NERC/dev_r5549_BDY_ZEROGRAD/NEMOGCM/NEMO/LIM_SRC_2/limwri_2.F90	(revision 6808)
@@ -85,10 +85,4 @@
 
 #if ! defined key_iomput
-# if defined key_dimgout
-   !!----------------------------------------------------------------------
-   !!   'key_dimgout'                                    Direct Access file
-   !!----------------------------------------------------------------------
-# include "limwri_dimg_2.h90"
-# else
    SUBROUTINE lim_wri_2( kt )
       !!-------------------------------------------------------------------
@@ -215,6 +209,4 @@
       !
    END SUBROUTINE lim_wri_2
-     
-#endif     
 
    SUBROUTINE lim_wri_init_2
Index: /branches/NERC/dev_r5549_BDY_ZEROGRAD/NEMOGCM/NEMO/LIM_SRC_3/limadv.F90
===================================================================
--- /branches/NERC/dev_r5549_BDY_ZEROGRAD/NEMOGCM/NEMO/LIM_SRC_3/limadv.F90	(revision 6807)
+++ /branches/NERC/dev_r5549_BDY_ZEROGRAD/NEMOGCM/NEMO/LIM_SRC_3/limadv.F90	(revision 6808)
@@ -97,5 +97,5 @@
 
       !  Initialize volumes of boxes  (=area if adv_x first called, =psm otherwise)                                     
-      psm (:,:)  = MAX( pcrh * e12t(:,:) + ( 1.0 - pcrh ) * psm(:,:) , epsi20 )
+      psm (:,:)  = MAX( pcrh * e1e2t(:,:) + ( 1.0 - pcrh ) * psm(:,:) , epsi20 )
 
       !  Calculate fluxes and moments between boxes i<-->i+1              
@@ -282,5 +282,5 @@
 
       !  Initialize volumes of boxes (=area if adv_x first called, =psm otherwise)
-      psm(:,:)  = MAX(  pcrh * e12t(:,:) + ( 1.0 - pcrh ) * psm(:,:) , epsi20  )
+      psm(:,:)  = MAX(  pcrh * e1e2t(:,:) + ( 1.0 - pcrh ) * psm(:,:) , epsi20  )
 
       !  Calculate fluxes and moments between boxes j<-->j+1              
